com.fasterxml.jackson.dataformat.avro.schema

## Class VisitorFormatWrapperImpl

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.schema.VisitorFormatWrapperImpl

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper
  Direct Known Subclasses:
    AvroSchemaGenerator

      public class VisitorFormatWrapperImpl
      extends Object
      implements com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SchemaBuilder` | `_builder` Visitor used for resolving actual Schema, if structured type (or one with complex configuration)
    `protected com.fasterxml.jackson.databind.SerializerProvider` | `_provider`
    `protected DefinedSchemas` | `_schemas`
    `protected org.apache.avro.Schema` | `_valueSchema` Schema for simple types that do not need a visitor.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisitorFormatWrapperImpl(DefinedSchemas schemas, com.fasterxml.jackson.databind.SerializerProvider p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <T> T` | `_throwUnsupported()`
    `protected <T> T` | `_throwUnsupported(String msg)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonAnyFormatVisitor` | `expectAnyFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor` | `expectArrayFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `void` | `expectAvroFormat(AvroSchema schema)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonBooleanFormatVisitor` | `expectBooleanFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonIntegerFormatVisitor` | `expectIntegerFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor` | `expectMapFormat(com.fasterxml.jackson.databind.JavaType mapType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNullFormatVisitor` | `expectNullFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor` | `expectNumberFormat(com.fasterxml.jackson.databind.JavaType convertedType)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor` | `expectObjectFormat(com.fasterxml.jackson.databind.JavaType type)`
    `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor` | `expectStringFormat(com.fasterxml.jackson.databind.JavaType type)`
    `org.apache.avro.Schema` | `getAvroSchema()`
    `com.fasterxml.jackson.databind.SerializerProvider` | `getProvider()`
    `void` | `setProvider(com.fasterxml.jackson.databind.SerializerProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _provider

          protected com.fasterxml.jackson.databind.SerializerProvider _provider

    - #### _schemas

          protected final DefinedSchemas _schemas

    - #### _builder

          protected SchemaBuilder _builder

      Visitor used for resolving actual Schema, if structured type (or one with complex configuration)

    - #### _valueSchema

          protected org.apache.avro.Schema _valueSchema

      Schema for simple types that do not need a visitor.

  - ### Constructor Detail

    - #### VisitorFormatWrapperImpl

          public VisitorFormatWrapperImpl(DefinedSchemas schemas,
                                          com.fasterxml.jackson.databind.SerializerProvider p)

  - ### Method Detail

    - #### getProvider

          public com.fasterxml.jackson.databind.SerializerProvider getProvider()

      Specified by:
        `getProvider` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider`

    - #### setProvider

          public void setProvider(com.fasterxml.jackson.databind.SerializerProvider provider)

      Specified by:
        `setProvider` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider`

    - #### getAvroSchema

          public org.apache.avro.Schema getAvroSchema()

    - #### expectAvroFormat

          public void expectAvroFormat(AvroSchema schema)

    - #### expectObjectFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonObjectFormatVisitor expectObjectFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectObjectFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectMapFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonMapFormatVisitor expectMapFormat(com.fasterxml.jackson.databind.JavaType mapType)

      Specified by:
        `expectMapFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectArrayFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonArrayFormatVisitor expectArrayFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectArrayFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectStringFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor expectStringFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectStringFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectNumberFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNumberFormatVisitor expectNumberFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectNumberFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectIntegerFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonIntegerFormatVisitor expectIntegerFormat(com.fasterxml.jackson.databind.JavaType type)

      Specified by:
        `expectIntegerFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectBooleanFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonBooleanFormatVisitor expectBooleanFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectBooleanFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectNullFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonNullFormatVisitor expectNullFormat(com.fasterxml.jackson.databind.JavaType convertedType)

      Specified by:
        `expectNullFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`

    - #### expectAnyFormat

          public com.fasterxml.jackson.databind.jsonFormatVisitors.JsonAnyFormatVisitor expectAnyFormat(com.fasterxml.jackson.databind.JavaType convertedType)
                                                                                                 throws com.fasterxml.jackson.databind.JsonMappingException

      Specified by:
        `expectAnyFormat` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

    - #### _throwUnsupported

          protected <T> T _throwUnsupported()

    - #### _throwUnsupported

          protected <T> T _throwUnsupported(String msg)

Copyright © 2019 FasterXML. All rights reserved.